Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ExternalAuthorized

All Known Subinterfaces:
  HttpExternalAuthorized

    public interface ExternalAuthorized

By this interface, maintain external authorized user sessions.

See Also:
  `HttpExternalAuthorized`

Method Summary
`boolean` | `askInvalidate(UserSession userSession)` Ask if invalidate an external authorized user session(i.e.
`java.lang.String` | `getExternalAuthorizedUser(java.lang.String activeRealm, java.lang.Object userInfo)` Gets the external authorized user ID.
`void` | `notifyLogout(UserSession userSession)` Notify an external authorized user session logout.

Method Detail

### getExternalAuthorizedUser

    java.lang.String getExternalAuthorizedUser(java.lang.String activeRealm,
                                               java.lang.Object userInfo)

  Gets the external authorized user ID. To implement this interface, can design a mechanism to transfer the authorized user info by a userInfo object.

  Parameters:
    `activeRealm` - the active realm.
    `userInfo` - the object contains user info to get the external authorized user ID.
  Returns:
    the external authorized user ID. Return null if can not get authorized user info from the userInfo object. The user ID should be a valid user ID of the report server.

### askInvalidate

    boolean askInvalidate(UserSession userSession)

  Ask if invalidate an external authorized user session(i.e. the session is expired). The report server call this method before the session be invalidated. Note: The server would not call this method if an user logout. The method notifyLogout(...) will be called after logout.

  Parameters:
    `userSession` - the user session.
  Returns:
    true invalidate the session. false do not invalidate the session.

### notifyLogout

    void notifyLogout(UserSession userSession)

  Notify an external authorized user session logout. The report server call this method after logout.

  Parameters:
    `userSession` - the user session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD